unit uPedidosProveedorViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorPedidosProveedor, uEditorPedidoProveedor,
  uEditorPedidosProveedorReport, uEditorElegirPedidosProveedor,
  uEditorElegirArticulosPedidoProveedor, uEditorDireccionEntregaPedidoProveedor,
  uEditorSituacionPedidoProveedor;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorDireccionEntregaPedidoProveedor, 'EditorDireccionEntregaPedidoProveedor');
  EditorRegistry.RegisterClass(TfEditorPedidosProveedor, 'EditorPedidosProveedor');
  EditorRegistry.RegisterClass(TfEditorPedidoProveedor, 'EditorPedidoProveedor');
  EditorRegistry.RegisterClass(TfEditorElegirPedidosProveedor, 'EditorElegirPedidosProveedor');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPedidoProveedor, 'EditorElegirArticulosPedidoProveedor');
  EditorRegistry.RegisterClass(TfEditorPedidosProveedorPreview, 'EditorPedidosProveedorPreview');
  EditorRegistry.RegisterClass(TfEditorSituacionPedidoProveedor, 'EditorSituacionPedidoProveedor');  
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorDireccionEntregaPedidoProveedor);
  EditorRegistry.UnRegisterClass(TfEditorPedidosProveedor);
  EditorRegistry.UnRegisterClass(TfEditorPedidoProveedor);
  EditorRegistry.UnRegisterClass(TfEditorElegirPedidosProveedor);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPedidoProveedor);  
  EditorRegistry.UnRegisterClass(TfEditorPedidosProveedorPreview);
  EditorRegistry.UnRegisterClass(TfEditorSituacionPedidoProveedor);  
end;

end.

